WebhooksReceive provider integration webhook

Receive provider integration webhook

Inbound events from supported providers (e.g. cal.com, calendly, slack). Authenticated with per-webhook HMAC via X-Talkturo-Secret.

curl -X POST "https://api.talkturo.com/api/flow/integrations/webhooks/example_string" \
  -H "Content-Type: application/json" \
  -H "X-Talkturo-Secret: example_string" \
  -H "X-Talkturo-Secret: YOUR_API_KEY"
{}
POST
/flow/integrations/webhooks/{provider}
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-Talkturo-Secret)
X-Talkturo-Secretstring
Required

SHA-256 HMAC digest of the raw request body. Used for TurboFlow published flow triggers (key = version trigger_secret) and some integration webhooks.

SHA-256 HMAC digest of the raw request body. Used for TurboFlow published flow triggers (key = version trigger_secret) and some integration webhooks.
path
providerstring
Required

Provider name (cal.com, calendly, slack, etc.)

Content-Typestring
Required

The media type of the request body

Options: application/json
No request body parameters defined
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-Talkturo-Secretstring
Required

API Key for authentication. SHA-256 HMAC digest of the raw request body. Used for TurboFlow published flow triggers (key = version trigger_secret) and some integration webhooks.

Path Parameters

providerstring
Required

Provider name (cal.com, calendly, slack, etc.)

Headers

Body

application/json
dataobject
Required

Raw application/json data

Responses

Webhook processed